/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumDatatype;
import de.ship.db.tables.VInputType;

import java.time.LocalDateTime;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VInputTypeRecord extends TableRecordImpl<VInputTypeRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_input_type.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_input_type.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.v_input_type.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_input_type.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_input_type.has_valuelist</code>.
     */
    public void setHasValuelist(Boolean value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_input_type.has_valuelist</code>.
     */
    public Boolean getHasValuelist() {
        return (Boolean) get(2);
    }

    /**
     * Setter for <code>common_dd.v_input_type.data_type</code>.
     */
    public void setDataType(EnumDatatype value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_input_type.data_type</code>.
     */
    public EnumDatatype getDataType() {
        return (EnumDatatype) get(3);
    }

    /**
     * Setter for <code>common_dd.v_input_type.inputtype_descr</code>.
     */
    public void setInputtypeDescr(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_input_type.inputtype_descr</code>.
     */
    public String getInputtypeDescr() {
        return (String) get(4);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VInputTypeRecord
     */
    public VInputTypeRecord() {
        super(VInputType.V_INPUT_TYPE);
    }

    /**
     * Create a detached, initialised VInputTypeRecord
     */
    public VInputTypeRecord(LocalDateTime lastchange, Integer pk, Boolean hasValuelist, EnumDatatype dataType, String inputtypeDescr) {
        super(VInputType.V_INPUT_TYPE);

        setLastchange(lastchange);
        setPk(pk);
        setHasValuelist(hasValuelist);
        setDataType(dataType);
        setInputtypeDescr(inputtypeDescr);
        resetChangedOnNotNull();
    }
}
